/*
# Copyright (C) 2015 audin.
#   2015/01: Modified for NUCLEO-F411RE demo.
#   http://mpu.seesaa.net
# Copyright (C) 2013 audin.
# 2013/07: Modified for LPC1114FN28.
# 2012/11
# http://avr.paslog.jp
# This file is licensed under the MIT License.
*/

#include "sys.h"
#include "after_vectors.h"

static volatile uint32_t ticks = 0;

/*******************

* SysTick_Handler
  
 *******************/
__AFTER_VECT2
//__weak void HAL_SYSTICK_Callback(void)
#if 0
 void HAL_SYSTICK_Callback(void)
{
	ticks++;
  /* NOTE : This function Should not be modified, when the callback is needed,
            the HAL_SYSTICK_Callback could be implemented in the user file
   */
}
#endif
/* void SysTick_Handler(void)		[> 1msec Timer ISR <] */
/* { */
/* } */

/*******************

* systick_init
  
 *******************/
__AFTER_VECT2
void systick_init( void ){
    /* HAL driver executes the Systick initialization. */

	/* Enable SysTick timer in interval of 1ms */
	//SysTick_Config(SystemCoreClock / 1000);
}

/*******************

* millis
  
 *******************/
__AFTER_VECT2
uint32_t millis(void){
	return HAL_GetTick();
}

/*******************

* delay_ms
  
 *******************/
void delay_ms( uint32_t ms){
    HAL_Delay( ms );
#if 0
	uint32_t prev;
	prev = ticks;
	while( ( ticks - prev ) < ms );
#endif
}

